
submodule (M) B
  
contains

  module subroutine B1()
    print *, 'In B1'
    call P()
  end subroutine B1

  module subroutine B2()
    print *, 'In B2'
    call P()
  end subroutine B2
  
end submodule B
